Get Specific Event by ID
This operation returns a specific CommCell event by its ID.
Path Parameters
- eventId integer required
The unique ID of the event to retrieve
- 200
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
commservEvents object[]
severity integerThe severity level of each event. Valid values are: 0 (Information), 3 (Minor), 6 (Major), 9 (Critical)
eventCode stringThe ID assigned to the category of event.
jobId integerThe system-generated ID assigned to the job.
acknowledge integerIndicates if the event has been acknowledged.
eventCodeString stringString representation of the event code.
subsystem stringThe subsystem that generated the event, for example, JobManager.
description stringThe description of the event. For example, "Data Aging operation has completed".
id integerThe system-generated ID assigned to a particular instance of an event.
timeSource integerThe time the event happened. Valid values are UNIX-style timestamps (seconds since January 1, 1970).
type integerThe type of the event.
clientEntity object
clientId integerThe system-generated ID assigned to the client.
clientName stringThe name of the client.
displayName stringThe display name of the client.
{
"commservEvents": [
{
"severity": 0,
"eventCode": "string",
"jobId": 0,
"acknowledge": 0,
"eventCodeString": "string",
"subsystem": "string",
"description": "string",
"id": 0,
"timeSource": 0,
"type": 0,
"clientEntity": {
"clientId": 0,
"clientName": "string",
"displayName": "string"
}
}
]
}
{
"commservEvents": [
{
"severity": 3,
"eventCode": "318767226",
"jobId": 1426069,
"acknowledge": 0,
"eventCodeString": "19:122",
"subsystem": "JobManager",
"description": "Received failed message for job [1426069], phase [Backup].",
"id": 224090815,
"timeSource": 1767314036,
"type": 0,
"clientEntity": {
"clientId": 2,
"clientName": "bdcsrvtest",
"displayName": "bdcsrvtest"
}
}
]
}